import { createSlice } from "@reduxjs/toolkit";
import { v4 as uuidv4 } from "uuid";

const salesSlice = createSlice({
  name: "sales",
  initialState: {
    sales:
      typeof window.api.store.initial()["saleItems"] !== "undefined"
        ? window.api.store.initial()["saleItems"]
        : [],
  },
  reducers: {
    addSale(state, action) {
      state.sales = [...state.sales, action.payload];
    },
    replaceSales(state, action) {
      state.sales = action.payload;
    },
  },
});

// Export actions
export const { addSale, replaceSales } = salesSlice.actions;

// Export reducer
export default salesSlice.reducer;
